Signatures
GET https://linklore.me/api/signatures/
curl --request GET \
--url 'https://linklore.me/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linklore.me/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne de caractères | La chaîne de recherche. |
| search_by | Optionnel Chaîne de caractères | Par quel champ vous recherchez. Valeurs autorisées : name. |
| datetime_field | Optionnel Chaîne de caractères | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Optionnel Chaîne de caractères | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optionnel Chaîne de caractères | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optionnel Chaîne de caractères | Par quel champ trier les résultats. Valeurs autorisées : signature_id, datetime, last_datetime, name. |
| order_type | Optionnel Chaîne de caractères | Le tri des résultats. Valeurs autorisées : ASC pour un tri ascendant, et DESC pour un tri descendant. |
| page | Optionnel Entier | Le numéro de page à partir duquel vous voulez des résultats. Par défaut 1. |
| results_per_page | Optionnel Entier | Combien de résultats vous voulez par page. Valeurs autorisées : 10, 25, 50, 100, 250, 500, 1000. Par défaut 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "John Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "John Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "john@example.com",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "johndoe",
"threads": "johndoe",
"x": "johndoe",
"instagram": "johndoe",
"youtube": "johndoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-08-03 22:03:42"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://linklore.me/api/signatures?page=1",
"last": "https://linklore.me/api/signatures?page=1",
"next": null,
"prev": null,
"self": "https://linklore.me/api/signatures?page=1"
}
}
GET https://linklore.me/api/signatures/{signature_id}
curl --request GET \
--url 'https://linklore.me/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linklore.me/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "jane@example.com",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "janedoe",
"threads": "janedoe",
"x": "janedoe",
"instagram": "janedoe",
"youtube": "janedoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-08-03 22:03:42"
}
}
POST https://linklore.me/api/signatures
| Paramètres | Détails | Description |
|---|---|---|
| name | Requis Chaîne de caractères | Nom |
| project_id | Optionnel Entier | Un projet vous aidera à catégoriser vos ressources. |
| template | Optionnel Chaîne de caractères | Valeurs autorisées : plain_text, mars, mercury, venus, nova |
| direction | Optionnel Chaîne de caractères | Valeurs autorisées : ltr, rtl |
| is_removed_branding | Optionnel Booléen | Remove branding |
| image_url | Optionnel Chaîne de caractères | Only use JPG, JPEG, GIF, PNG images. |
| sign_off | Optionnel Chaîne de caractères | Sign off |
| full_name | Optionnel Chaîne de caractères | Full name |
| job_title | Optionnel Chaîne de caractères | Job title |
| department | Optionnel Chaîne de caractères | Department |
| company | Optionnel Chaîne de caractères | Company |
| Optionnel Chaîne de caractères | ||
| website_name | Optionnel Chaîne de caractères | Website name |
| website_url | Optionnel Chaîne de caractères | Website URL |
| address | Optionnel Chaîne de caractères | Address |
| address_url | Optionnel Chaîne de caractères | Link to a Google maps location, for example. |
| phone_number | Optionnel Chaîne de caractères | Phone number |
| Optionnel Chaîne de caractères | ||
| facebook_messenger | Optionnel Chaîne de caractères | Facebook messenger username |
| telegram | Optionnel Chaîne de caractères | Telegram username |
| disclaimer | Optionnel Chaîne de caractères | Disclaimer text |
| font_family | Optionnel Chaîne de caractères | Valeurs autorisées : arial, verdana, helvetica, times_new_roman, georgia |
| font_size | Optionnel Entier | Valeurs autorisées : 12-18 |
| width | Optionnel Entier | Valeurs autorisées : 300-600 |
| image_width | Optionnel Entier | Valeurs autorisées : 45-150 |
| image_border_radius | Optionnel Entier | Valeurs autorisées : 0-100 |
| socials_width | Optionnel Entier | Valeurs autorisées : 15-30 |
| socials_padding | Optionnel Entier | Valeurs autorisées : 5-15 |
| separator_size | Optionnel Entier | Valeurs autorisées : 0-5 |
| border_radius | Optionnel Entier | Valeurs autorisées : 0-30 |
| background_color | Optionnel Chaîne de caractères | Background color |
| border_color | Optionnel Chaîne de caractères | Border color |
| theme_color | Optionnel Chaîne de caractères | Theme color |
| full_name_color | Optionnel Chaîne de caractères | Full name color |
| text_color | Optionnel Chaîne de caractères | Text color |
| link_color | Optionnel Chaîne de caractères | Link color |
| Optionnel Chaîne de caractères | Facebook username | |
| threads | Optionnel Chaîne de caractères | Threads username |
| x | Optionnel Chaîne de caractères | X username |
| Optionnel Chaîne de caractères | Instagram username | |
| youtube | Optionnel Chaîne de caractères | YouTube channel |
| tiktok | Optionnel Chaîne de caractères | TikTok username |
| spotify | Optionnel Chaîne de caractères | Spotify username |
| Optionnel Chaîne de caractères | Pinterest username | |
| Optionnel Chaîne de caractères | LinkedIn username | |
| snapchat | Optionnel Chaîne de caractères | Snapchat username |
| twitch | Optionnel Chaîne de caractères | Twitch username |
| discord | Optionnel Chaîne de caractères | Discord user id |
| github | Optionnel Chaîne de caractères | Github username |
| Optionnel Chaîne de caractères | Reddit username |
curl --request POST \
--url 'https://linklore.me/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
--url 'https://linklore.me/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "jane@example.com",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 10,
"background_color": "#f8fafc",
"border_color": "#cbd5e1",
"theme_color": "#2563eb",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-08-03 22:03:42"
}
}
POST https://linklore.me/api/signatures/{signature_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Optionnel Chaîne de caractères | Nom |
| project_id | Optionnel Entier | Un projet vous aidera à catégoriser vos ressources. |
| template | Optionnel Chaîne de caractères | Valeurs autorisées : plain_text, mars, mercury, venus, nova |
| direction | Optionnel Chaîne de caractères | Valeurs autorisées : ltr, rtl |
| is_removed_branding | Optionnel Booléen | Remove branding |
| image_url | Optionnel Chaîne de caractères | Only use JPG, JPEG, GIF, PNG images. |
| sign_off | Optionnel Chaîne de caractères | Sign off |
| full_name | Optionnel Chaîne de caractères | Full name |
| job_title | Optionnel Chaîne de caractères | Job title |
| department | Optionnel Chaîne de caractères | Department |
| company | Optionnel Chaîne de caractères | Company |
| Optionnel Chaîne de caractères | ||
| website_name | Optionnel Chaîne de caractères | Website name |
| website_url | Optionnel Chaîne de caractères | Website URL |
| address | Optionnel Chaîne de caractères | Address |
| address_url | Optionnel Chaîne de caractères | Link to a Google maps location, for example. |
| phone_number | Optionnel Chaîne de caractères | Phone number |
| Optionnel Chaîne de caractères | ||
| facebook_messenger | Optionnel Chaîne de caractères | Facebook messenger username |
| telegram | Optionnel Chaîne de caractères | Telegram username |
| disclaimer | Optionnel Chaîne de caractères | Disclaimer text |
| font_family | Optionnel Chaîne de caractères | Valeurs autorisées : arial, verdana, helvetica, times_new_roman, georgia |
| font_size | Optionnel Entier | Valeurs autorisées : 12-18 |
| width | Optionnel Entier | Valeurs autorisées : 300-600 |
| image_width | Optionnel Entier | Valeurs autorisées : 45-150 |
| image_border_radius | Optionnel Entier | Valeurs autorisées : 0-100 |
| socials_width | Optionnel Entier | Valeurs autorisées : 15-30 |
| socials_padding | Optionnel Entier | Valeurs autorisées : 5-15 |
| separator_size | Optionnel Entier | Valeurs autorisées : 0-5 |
| border_radius | Optionnel Entier | Valeurs autorisées : 0-30 |
| background_color | Optionnel Chaîne de caractères | Background color |
| border_color | Optionnel Chaîne de caractères | Border color |
| theme_color | Optionnel Chaîne de caractères | Theme color |
| full_name_color | Optionnel Chaîne de caractères | Full name color |
| text_color | Optionnel Chaîne de caractères | Text color |
| link_color | Optionnel Chaîne de caractères | Link color |
| Optionnel Chaîne de caractères | Facebook username | |
| threads | Optionnel Chaîne de caractères | Threads username |
| x | Optionnel Chaîne de caractères | X username |
| Optionnel Chaîne de caractères | Instagram username | |
| youtube | Optionnel Chaîne de caractères | YouTube channel |
| tiktok | Optionnel Chaîne de caractères | TikTok username |
| spotify | Optionnel Chaîne de caractères | Spotify username |
| Optionnel Chaîne de caractères | Pinterest username | |
| Optionnel Chaîne de caractères | LinkedIn username | |
| snapchat | Optionnel Chaîne de caractères | Snapchat username |
| twitch | Optionnel Chaîne de caractères | Twitch username |
| discord | Optionnel Chaîne de caractères | Discord user id |
| github | Optionnel Chaîne de caractères | Github username |
| Optionnel Chaîne de caractères | Reddit username |
curl --request POST \
--url 'https://linklore.me/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
--url 'https://linklore.me/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe Signature",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "jane@example.com",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 16,
"background_color": "#fff7ed",
"border_color": "#fed7aa",
"theme_color": "#c2410c",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": "2026-08-03 22:03:42",
"datetime": "2026-08-03 22:03:42"
}
}
DELETE https://linklore.me/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://linklore.me/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linklore.me/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \